<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstLabelPosition Method (IEdmFolder5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : GetFirstLabelPosition Method (IEdmFolder5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the labels in this folder.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstLabelPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstLabelPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstLabelPosition();

#### Return Value

IEdmPos5; position of the first label in this folder

# Example

Create Labels on Folders (VB.NET)
Create Labels on Folders (C#)

# Remarks

After calling this method, pass the returned first label position to IEdmFolder5::GetNextLabel to get the first label in the list. Then call IEdmFolder5::GetNextFile repeatedly to get the rest of the labels in the list.

C++ users not using smart-pointer wrapper functions must release the returned pointer, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2